## openjdk-10 10.0.2+13

=== debian/changelog ===
openjdk-10 (10.0.2+13-2) unstable; urgency=high

  [ Tiago Stürmer Daitx ]
  * Security update. Backport security patches from 11.0.1-b12.
    - CVE-2018-3136, S8194534: Manifest better support.
    - CVE-2018-3139, S8196902: Better HTTP Redirection.
    - CVE-2018-3150, S8199171, S8199172: Improve jar attribute checks.
    - CVE-2018-3149, S8199177: Enhance JNDI lookups.
    - CVE-2018-3169, S8199226: Improve field accesses.
    - CVE-2018-3180, S8202613: Improve TLS connections stability.
    - CVE-2018-3183, S8202936: Improve script engine support.
    - S8195868, S8199110: Address Internet Addresses.
    - S8195874: Improve jar specification adherence.
    - S8201756: Improve cipher inputs.
    - S8203654: Improve cypher state updates.
    - S8204497: Better formatting of decimals.
  * debian/patches/jdk-freetypeScaler-crash.diff: removed as this patch causes
    a memory leak - upstream fixed it in openjdk-7, albeit in a different way.
  * debian/rules: fix TIME definition.

  [ Matthias Klose ]
  * Bump standards version.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Oct 2018 12:11:46 +0200

openjdk-10 (10.0.2+13-1) unstable; urgency=high

  * OpenJDK 10.0.2+13 release.
    - CVE-2018-2972, S8200332: Improve GCM counting.
    - CVE-2018-2952, S8199547: Exception to Pattern Syntax.
    - S8191239: Improve desktop file usage.
    - S8193419: Better Internet address support.
    - S8197925: Better stack walking.
    - S8200666: Improve LDAP support.
  * Explicitly build-depend on libfontconfig1-dev, explicitly depend
    on libfontconfig1. LP: #1780151. See #793210.
  * Build using GCC 8.
  * Configure with --with-native-debug-symbols=internal.
  * OpenJDK 10.0.1+10 also addressed CVE-2018-2825 and CVE-2018-2826.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Jul 2018 18:31:45 +0200

openjdk-10 (10.0.1+10-4) unstable; urgency=medium

  * OpenJDK 10.0.1+10 addresses the following security issues:
    - CVE-2018-2790,S8189969: Manifest better manifest entries.
    - CVE-2018-2795,S8189977: Improve permission portability.
    - CVE-2018-2796,S8189981: Improve queuing portability.
    - CVE-2018-2797,S8189985: Improve tabular data portability.
    - CVE-2018-2798,S8189989: Improve container portability.
    - CVE-2018-2799,S8189993: Improve document portability.
    - CVE-2018-2794,S8189997: Enhance keystore mechanisms.
    - CVE-2018-2814,S8192025: Less referential references.
    - CVE-2018-2815,S8192757: Improve stub classes implementation.
    - CVE-2018-2800,S8193833: Better RMI connection support.
  * Stop installing the policytool desktop file. LP: #1766843,
  * Prefer to build with OpenJDK 10 instead of OpenJDK 9.
  * Fix ftbfs on powerpcspe, adjusting the MIN_FLOAT constant (Adrian Glaubitz).
    Closes: #897334.
  * Remove classes.jsa files on package removal. Closes: #897411.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 May 2018 20:40:24 +0200

openjdk-10 (10.0.1+10-3) unstable; urgency=high

  * Fix build failure on sparc64 (Adrian Glaubitz). Closes: #895955.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Apr 2018 05:10:02 +0200

openjdk-10 (10.0.1+10-2) unstable; urgency=high

  * d/rules: Fix computation of v_upbuild (Michael Hudson-Doyle).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 20 Apr 2018 02:16:31 +0200

openjdk-10 (10.0.1+10-1) unstable; urgency=high

  * OpenJDK 10.0.1+10 release.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Apr 2018 17:27:23 +0200

openjdk-10 (10~46-5) unstable; urgency=medium

  [ Tiago Stürmer Daitx ]
  * debian/rules: do not compress the element-list api docs as javadoc expects
    this file to be uncompressed when using '-link' or '-linkoffline'.
    Closes: #895587.

 -- Matthias Klose <doko@debian.org>  Sun, 15 Apr 2018 03:06:41 +0200

openjdk-10 (10~46-4) unstable; urgency=medium

  * Fix installation of japanese manual pages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Apr 2018 17:39:54 +0200

openjdk-10 (10~46-3) unstable; urgency=medium

  * Work around build failure building the documentation.
  * Build using gtk 3.0.
  * Add again ia64 support (Adrian Glaubitz). Closes: #894062.
  * Remove obsolete m68k only patch (Adrian Glaubitz). Closes: #893833.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Apr 2018 08:59:15 +0200

openjdk-10 (10~46-2) unstable; urgency=medium

  * Fix priorities for alternatives.
  * Fix file conflicts with -dbg package.
  * Update provides for 10.
  * Update apport hook name for 10. LP: #1738579.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 15 Mar 2018 14:32:34 +0100

openjdk-10 (10~46-1) unstable; urgency=medium

  * OpenJDK 10 build 46.
  * Update patch for m68k (Adrian Glaubitz). Closes: #883570).
  * Update patch for alpha (Adrian Glaubitz). Closes: #885018).
  * Drop powerpcspe patch. Closes: #883493.
  * Work around make-4.2 MAKEFLAGS issue. Closes: #891573.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Mar 2018 18:10:28 +0100

openjdk-10 (10~32-1) experimental; urgency=medium

  * OpenJDK 10 build 32.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 19 Nov 2017 17:52:21 +0100

openjdk-9 (9.0.1+11-1) unstable; urgency=medium

  * OpenJDK 9.0.1+11 release.
  * Bump standards version.
  * Configure with an empty --with-version-pre setting. LP: #1722410.
  * Remove JamVM packaging bits. Closes: #877523.
  * Remove Shark packaging bits.
  * Fix java/javac/jar lockups on SMP Alpha (Michael Cree). Closes: #875288.
  * Fix crashes in i386 applications using JNI due to Hotspot workaround for
    Exec Shield (Ben Hutchings). Closes: #876069.
  * Re-enable building altzero architectures: Closes: #874292.
  * Update the zero-sparc patch (Adrian Glaubitz). Closes: #874265.
  * Fix recommendation of microhei/zenhei font packages. Closes: #868205.
  * Move jmod files into the openjdk-jdk-headless package. Closes: #878272.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 27 Oct 2017 01:44:31 +0200

openjdk-9 (9~b181-4) unstable; urgency=medium

  * Fix whitespace in debian/rules. Closes: #873104, #873117.


